Debian Bug report logs - #713986
ITP: ask -- Adaptive Sampling Kit for big experimental spaces

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Pablo Oliveira <pablo@sifflez.org>

Date: Mon, 24 Jun 2013 15:33:02 UTC

Owned by: Pablo Oliveira <pablo@sifflez.org>

Severity: wishlist

Fixed in version ask/1.0.1-1

Done: Pablo Oliveira <pablo@sifflez.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-science@lists.debian.org, wnpp@debian.org:
Bug#713986; Package wnpp. (Mon, 24 Jun 2013 15:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Oliveira <pablo@sifflez.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-science@lists.debian.org, wnpp@debian.org. (Mon, 24 Jun 2013 15:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pablo Oliveira <pablo@sifflez.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ask -- Adaptive Sampling Kit for big experimental spaces
Date: Mon, 24 Jun 2013 17:28:24 +0200
Package: wnpp
Severity: wishlist
Owner: Pablo Oliveira <pablo@sifflez.org>

* Package name    : ask
  Version         : 1.0.1
  Upstream Author : Pablo Oliveira, Eric Petit and contributors 
* URL             : https://code.google.com/p/adaptive-sampling-kit/
* License         : GPL
  Programming Lang: Python, R
  Description     : Adaptive Sampling Kit for big experimental spaces

  Adaptive Sampling Kit (ASK) is a toolkit for sampling big experimental spaces.
  When the space is small, the response can be measured for every point in the
  space. When the space is large, doing an exhaustive measurement is either not 
  possible in terms of execution time or simply not practical. ASK tries to find
  good approximations of the response by sampling only a small fraction of the
  space. ASK features multiple active learning algorithms to prioritize the
  exploration of the interesting parts of the experimental space.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pablo Oliveira <pablo@sifflez.org>:
Bug#713986; Package wnpp. (Tue, 23 Jul 2013 09:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to pablo@sifflez.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pablo Oliveira <pablo@sifflez.org>. (Tue, 23 Jul 2013 09:42:04 GMT) Full text and rfc822 format available.

Message #10 received at 713986@bugs.debian.org (full text, mbox):

From: pablo@sifflez.org
To: <713986@bugs.debian.org>
Cc: <sylvain@debian.org>, <sebastien@debian.org>
Subject: Re: Bug#713986: ITP: ask -- Adaptive Sampling Kit for big experimental spaces
Date: Tue, 23 Jul 2013 11:32:19 +0200
On Mon, 24 Jun 2013 17:28:24 +0200, Pablo Oliveira wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Pablo Oliveira <pablo@sifflez.org>
>
> * Package name    : ask
>   Version         : 1.0.1
> [...]

A tentative package is ready at 
http://anonscm.debian.org/gitweb/?p=debian-science/packages/ask.git
but cannot be uploaded because it depends on rjsonio which cannot be 
packaged for debian (see ITP #712159).

Nevertheless, S├ębastien Villemot has kindly packaged an alternative 
library, rjson, which offers
the same capabilities (see ITP #714611) and is currently in NEW. I will 
repackage a new version of
ask using rjson instead.

Regards,

Pablo Oliveira.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pablo Oliveira <pablo@sifflez.org>:
Bug#713986; Package wnpp. (Sat, 27 Jul 2013 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to pablo@sifflez.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pablo Oliveira <pablo@sifflez.org>. (Sat, 27 Jul 2013 22:27:04 GMT) Full text and rfc822 format available.

Message #15 received at 713986@bugs.debian.org (full text, mbox):

From: pablo@sifflez.org
To: <sylvestre@debian.org>
Cc: <713986@bugs.debian.org>
Subject: Re: Bug#713986: ITP: ask -- Adaptive Sampling Kit for big experimental spaces
Date: Sun, 28 Jul 2013 00:24:07 +0200
Dear Sylvestre,

On Tue, 23 Jul 2013 11:32:19 +0200, pablo@sifflez.org wrote:
> [...]
> I will repackage a new version of
> ask using rjson instead.

A new tentative ask package that depends on r-cran-rjson is available 
at:

http://anonscm.debian.org/gitweb/?p=debian-science/packages/ask.git

Could you please review it when you have some time?

Thanks,

Pablo



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 02 Sep 2013 20:06:09 GMT) Full text and rfc822 format available.

Reply sent to Pablo Oliveira <pablo@sifflez.org>:
You have taken responsibility. (Sat, 07 Sep 2013 22:45:27 GMT) Full text and rfc822 format available.

Notification sent to Pablo Oliveira <pablo@sifflez.org>:
Bug acknowledged by developer. (Sat, 07 Sep 2013 22:45:27 GMT) Full text and rfc822 format available.

Message #22 received at 713986-close@bugs.debian.org (full text, mbox):

From: Pablo Oliveira <pablo@sifflez.org>
To: 713986-close@bugs.debian.org
Subject: Bug#713986: fixed in ask 1.0.1-1
Date: Sat, 07 Sep 2013 22:42:17 +0000
Source: ask
Source-Version: 1.0.1-1

We believe that the bug you reported is fixed in the latest version of
ask, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 713986@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pablo Oliveira <pablo@sifflez.org> (supplier of updated ask package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 21 Jun 2013 10:44:16 +0200
Source: ask
Binary: ask
Architecture: source all
Version: 1.0.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Pablo Oliveira <pablo@sifflez.org>
Description: 
 ask        - Adaptive Sampling Kit for big experimental spaces
Closes: 713986
Changes: 
 ask (1.0.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #713986)
Checksums-Sha1: 
 dbcc5f8fa255c49a8bc7854548922008f7d14c0a 1552 ask_1.0.1-1.dsc
 92b873f1b706791dde0f8e5b648364111ef8dca1 22925440 ask_1.0.1.orig.tar.gz
 76167e06cff4f9ab7e4b34eea0206c3c07eeb4d2 4543 ask_1.0.1-1.debian.tar.gz
 8c83ced7d525a59d84f3b5107fdc5e98a1f88aa8 2709928 ask_1.0.1-1_all.deb
Checksums-Sha256: 
 0770e782dc32d1823fe0e93947c842a7eac7802b976520e033ab67e298c721f9 1552 ask_1.0.1-1.dsc
 dacc721bd6fd2552dbb48b7298bd2d64875874284870c0af8afcb12a8dbd865d 22925440 ask_1.0.1.orig.tar.gz
 7721eeb568fec0ae818f47dd077eb7245111e11ecdd6397f751356900f07fc63 4543 ask_1.0.1-1.debian.tar.gz
 c00283784562e6216ee5238c2d9c7c3ca2d766e29c0d17f213e49dd230e05774 2709928 ask_1.0.1-1_all.deb
Files: 
 77596a77f1df03b4e36712a8bf266fc6 1552 science extra ask_1.0.1-1.dsc
 06246d8364e2b500bf29a9bf1f1b6d6a 22925440 science extra ask_1.0.1.orig.tar.gz
 cc474abdc9fc58f74e5e7f82c99fdeb1 4543 science extra ask_1.0.1-1.debian.tar.gz
 fbac9ff5c242ba9b09e777f507329d94 2709928 science extra ask_1.0.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlIkT18ACgkQiOXXM92JlhAm7QCfeS+2Hkw+hZL4zNyZzp6ISZDp
xuoAnjEle2Zt6ZEUrRXlTAYFdWUb2H6q
=ZsS3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Oct 2013 07:38:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:46:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.